From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/mgorny:master commit in: app-cdr/mirage2iso/
Date: Thu, 30 Aug 2012 09:54:43 +0000 (UTC) [thread overview]
Message-ID: <1346320443.d871df50b7ac66c5a2ae66d3350a715222450d10.mgorny@gentoo> (raw)
commit: d871df50b7ac66c5a2ae66d3350a715222450d10
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 30 09:54:03 2012 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 30 09:54:03 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/mgorny.git;a=commit;h=d871df50
app-cdr/mirage2iso: Update URIs and sync with release ebuild.
(Portage version: 2.2.0_alpha120_p33/git/Linux x86_64, unsigned Manifest commit)
---
app-cdr/mirage2iso/metadata.xml | 2 +-
app-cdr/mirage2iso/mirage2iso-9999.ebuild | 35 +++++++++++++++++++----------
2 files changed, 24 insertions(+), 13 deletions(-)
diff --git a/app-cdr/mirage2iso/metadata.xml b/app-cdr/mirage2iso/metadata.xml
index 69f51a9..96b6be2 100644
--- a/app-cdr/mirage2iso/metadata.xml
+++ b/app-cdr/mirage2iso/metadata.xml
@@ -14,6 +14,6 @@
<email>mgorny@gentoo.org</email>
<name>Michał Górny</name>
</maintainer>
- <bugs-to>https://github.com/mgorny/mirage2iso/issues/</bugs-to>
+ <bugs-to>https://bitbucket.org/mgorny/mirage2iso/issues/</bugs-to>
</upstream>
</pkgmetadata>
diff --git a/app-cdr/mirage2iso/mirage2iso-9999.ebuild b/app-cdr/mirage2iso/mirage2iso-9999.ebuild
index 2ee63d6..d54e981 100644
--- a/app-cdr/mirage2iso/mirage2iso-9999.ebuild
+++ b/app-cdr/mirage2iso/mirage2iso-9999.ebuild
@@ -6,31 +6,32 @@ EAPI=4
#if LIVE
AUTOTOOLS_AUTORECONF=yes
-EGIT_REPO_URI="git://github.com/mgorny/${PN}.git
- http://github.com/mgorny/${PN}.git"
+EGIT_REPO_URI="http://bitbucket.org/mgorny/${PN}.git"
inherit git-2
#endif
-inherit autotools-utils
+inherit autotools-utils versionator
+
+TESTS_PV=$(get_version_component_range 1-2)
DESCRIPTION="CD/DVD image converter using libmirage"
-HOMEPAGE="https://github.com/mgorny/mirage2iso/"
-SRC_URI="mirror://github/mgorny/${PN}/${P}.tar.bz2"
+HOMEPAGE="https://bitbucket.org/mgorny/mirage2iso/"
+SRC_URI="mirror://bitbucket/mgorny/${PN}/downloads/${P}.tar.bz2
+ test? ( mirror://bitbucket/mgorny/${PN}/downloads/${PN}-${TESTS_PV}-tests.tar.xz )"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="pinentry"
+IUSE="pinentry test"
-COMMON_DEPEND="dev-libs/glib:2
- dev-libs/libmirage"
+COMMON_DEPEND="dev-libs/libmirage
+ dev-libs/glib:2
+ pinentry? ( dev-libs/libassuan )"
DEPEND="${COMMON_DEPEND}
- virtual/pkgconfig"
+ test? ( app-arch/xz-utils )"
RDEPEND="${COMMON_DEPEND}
- pinentry? (
- app-crypt/pinentry
- dev-libs/libassuan )"
+ pinentry? ( app-crypt/pinentry )"
DOCS=( NEWS README )
@@ -48,3 +49,13 @@ src_configure() {
autotools-utils_src_configure
}
+
+src_test() {
+#if LIVE
+ autotools-utils_src_test
+ return ${?}
+
+#endif
+ mv "${WORKDIR}"/${PN}-${TESTS_PV}/tests/* tests/ || die
+ autotools-utils_src_test
+}
next reply other threads:[~2012-08-30 9:56 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-08-30 9:54 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2012-08-31 9:15 [gentoo-commits] dev/mgorny:master commit in: app-cdr/mirage2iso/ Michał Górny
2011-08-23 15:29 Michał Górny
2011-08-23 15:29 Michał Górny
2011-07-01 13:21 Michał Górny
2011-05-06 14:54 Michał Górny
2011-04-24 18:14 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1346320443.d871df50b7ac66c5a2ae66d3350a715222450d10.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox